#!/usr/bin/env python

from distutils.core import setup
import os, sys

bbdir = os.path.join(sys.prefix, os.path.join('share', 'bitbake'))
setup(name='BitBake',
      version='1.0',
      license='GPL',
      description='BitBake build tool',
      long_description='BitBake is a simple tool for the execution of tasks. It is derived from Portage, which is the package management system used by the Gentoo Linux distribution. It is most commonly used to build packages, as it can easily use its rudamentary inheritence to abstract common operations, such as fetching sources, unpacking them, patching them, compiling them, and so on.  It is the basis of the OpenEmbedded project, which is being used for OpenZaurus, Familiar, and a number of other Linux distributions.',
      author='Chris Larson',
      author_email='clarson@elinux.org',
      packages=['bb', 'bb.parse'],
      package_dir={'bb': 'lib/bb'},
      scripts=['bin/bbmake', 'bin/bbread', 'bin/bbimage'],
      data_files=[(os.path.join(bbdir, 'conf'), ['conf/bitbake.conf']),
                  (os.path.join(bbdir, 'classes'), ['classes/base.bbclass'])],
     )
